linux-raspi2: 4.2.0-1023.30 -proposed tracker

Bug #1540861 reported by Brad Figg on 2016-02-02
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Ubuntu Stable Release Updates Team
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Undecided
Unassigned
linux-raspi2 (Ubuntu)
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

This bug is for tracking the 4.2.0-1023.30 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 02. February 2016 11:01 UTC
kernel-stable-master-bug:1540634
kernel-stable-Prepare-package-end:Thursday, 04. February 2016 23:02 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 04. February 2016 23:02 UTC
kernel-stable-Promote-to-proposed-end:Friday, 05. February 2016 13:25 UTC
kernel-stable-phase:Verification & Testing
kernel-stable-phase-changed:Friday, 05. February 2016 15:02 UTC
kernel-stable-Verification-testing-start:Friday, 05. February 2016 15:02 UTC
kernel-stable-Certification-testing-start:Friday, 05. February 2016 15:02 UTC
kernel-stable-Security-signoff-start:Friday, 05. February 2016 15:02 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 05. February 2016 15:02 UTC
kernel-stable-Security-signoff-end:Friday, 05. February 2016 21:01 UTC
kernel-stable-Certification-testing-end:Monday, 08. February 2016 16:02 UTC

CVE References

Brad Figg (brad-figg) on 2016-02-02
tags: added: kernel-release-tracking-bug
tags: added: block-proposed
tags: added: block-proposed-wily
tags: added: wily
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Luis Henriques (henrix) on 2016-02-04
Changed in linux-raspi2 (Ubuntu):
status: New → Invalid
Luis Henriques (henrix) on 2016-02-04
summary: - linux-raspi2: <version to be filled> -proposed tracker
+ linux-raspi2: 4.2.0-1023.30 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated

Here's the relevant information:

 wily linux-raspi2 4.2.0-1023.30 REGR summary<REGN: 1 MISS: 27 FAIL: 1 GOOD: 6>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

 linux-raspi2 | 4.2.0-1023.30 | wily-proposed/universe | source
 linux-meta-raspi2 | 4.2.0.1023.27 | wily-proposed/universe | source

Brad Figg (brad-figg) on 2016-02-05
description: updated
Brad Figg (brad-figg) on 2016-02-05
description: updated
Brad Figg (brad-figg) on 2016-02-05
description: updated
Luis Henriques (henrix) wrote :

I am invalidating this task as the wily kernel is being respun.

Brad Figg (brad-figg) on 2016-02-08
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (44.6 KiB)

This bug was fixed in the package linux-raspi2 - 4.2.0-1025.32

---------------
linux-raspi2 (4.2.0-1025.32) wily; urgency=low

  [ Luis Henriques ]

  * rebased on Ubuntu-4.2.0-30.35

  [ Ubuntu: 4.2.0-30.35 ]

  * SAUCE: cred: Add clone_cred() interface
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Use mounter's credentials instead of selectively
    raising caps
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.*
    xattrs
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Be more careful about copying up sxid files
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Propogate nosuid from lower and upper mounts
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576

linux-raspi2 (4.2.0-1024.31) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1543518
  * rebased on Ubuntu-4.2.0-29.34

  [ Ubuntu: 4.2.0-29.34 ]

  * Release Tracking Bug
    - LP: #1543167
  * Revert "SAUCE: apparmor: fix sleep from invalid context"
    - LP: #1542049
  * Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
    - LP: #1540731

linux-raspi2 (4.2.0-1023.30) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1540861

  [ Tim Gardner ]

  * Dropped ('pinctrl-bcm2835: bcm2835_gpio_direction_output must set the value') as
    it conflicted with upstream stable ('pinctrl: bcm2835: Fix initial value for direction_output')
    and provided the same functionality.
  * Added upsream cherry-pick ad82362b2defd4adad87d8538617b2f51a4bf9c3 ('mm: add dma_pool_zalloc() call to DMA API')
    in order to compensate for a missing stable patch.
  * Revert "dmaengine: bcm2835-dma: Convert to use DMA pool"
    This patch conflicts with the Raspberry Pi 2 BSP patches that implement DMA. It professes to
    fix a memleak, but does so while also converting to a completely new DMA API (which completely breaks
    the BSP implementation for DMA).
  * Rebased against Ubuntu-4.2.0-28.33

  [ Ubuntu: 4.2.0-28.33 ]

  * Release Tracking Bug
    - LP: #1540634
  * CONFIG: CONFIG_DEBUG_UART_BCM63XX is not set
  * SAUCE: ubuntu: aufs: tiny, extract a new func xino_fwrite_wkq()
    - LP: #1533043
  * SAUCE: ubuntu: aufs: for 4.3, XINO handles EINTR from the dying process
    - LP: #1533043
  * SAUCE: (no-up): apparmor: fix for failed mediation of socket that is
    being shutdown
    - LP: #1446906
  * SAUCE: apparmor: fix sleep from invalid context
    - LP: #1539349
  * [Config] Add pvpanic to virtual flavour
    - LP: #1537923
  * Revert "ACPI / LPSS: allow to use specific PM domain during ->probe()"
    - LP: #1540532
  * tools: Add a "make all" rule
    - LP: #1536370
  * vf610_adc: Fix internal temperature calculation
    - LP: #1536370
  * iio: lpc32xx_adc: fix warnings caused by enabling unprepared clock
    - LP: #1536370
  * iio:ad5064: Make sure ad5064_i2c_write() returns 0 on success
    - LP: #1536370
  * iio: ad5064: Fix ad5629/ad5669 shift
    - LP: #1536370
  * iio:ad7793: Fix ad7785 pro...

Changed in linux-raspi2 (Ubuntu Wily):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers